Bug 1197265 - Review Request: nodejs-grunt-contrib-requirejs - Optimize RequireJS projects using r.js
Summary: Review Request: nodejs-grunt-contrib-requirejs - Optimize RequireJS projects ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gerard Ryan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-02-28 00:04 UTC by Piotr Popieluch
Modified: 2015-03-25 20:01 UTC (History)
2 users (show)

Fixed In Version: nodejs-grunt-contrib-requirejs-0.4.4-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-09 08:26:20 UTC
gerard: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Piotr Popieluch 2015-02-28 00:04:04 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-grunt-contrib-requirejs.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-grunt-contrib-requirejs-0.4.4-1.fc21.src.rpm
Description: Optimize RequireJS projects using r.js
Fedora Account System Username: piotrp

Comment 1 Gerard Ryan 2015-03-01 17:06:45 UTC
Approved. Thanks for packaging!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- [!]: Package consistently uses macros (instead of hard-coded
directory names).
  URL and Source0 could use %{srcname} - not a huge deal, just
  something to consider.

- [!]: %check is present and all tests pass.
       Note: tests disabled with acceptable comment - not an issue

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 6 files have unknown license. Detailed output of
     licensecheck in /home/grdryn/1197265-nodejs-grunt-contrib-
     requirejs/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
     Note: tests disabled with acceptable comment
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-grunt-contrib-requirejs-0.4.4-1.fc21.noarch.rpm
          nodejs-grunt-contrib-requirejs-0.4.4-1.fc21.src.rpm
nodejs-grunt-contrib-requirejs.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-grunt-contrib-requirejs.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-grunt-contrib-requirejs.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt-contrib-requirejs.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-requirejs/node_modules/requirejs /usr/lib/node_modules/requirejs
nodejs-grunt-contrib-requirejs.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-grunt-contrib-requirejs.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
nodejs-grunt-contrib-requirejs (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(requirejs)



Provides
--------
nodejs-grunt-contrib-requirejs:
    nodejs-grunt-contrib-requirejs
    npm(grunt-contrib-requirejs)



Source checksums
----------------
https://github.com/gruntjs/grunt-contrib-requirejs/archive/v0.4.4/grunt-contrib-requirejs-0.4.4.tar.gz :
  CHECKSUM(SHA256) this package     : 8d96cefef74bd186cd1ba7ad01831ef899b11ab7b3e7a51e873a0a26a87a356e
  CHECKSUM(SHA256) upstream package : 8d96cefef74bd186cd1ba7ad01831ef899b11ab7b3e7a51e873a0a26a87a356e


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1197265
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Piotr Popieluch 2015-03-01 17:49:07 UTC
Thank you for review!

New Package SCM Request
=======================
Package Name: nodejs-grunt-contrib-requirejs 
Short Description: Optimize RequireJS projects using r.js
Upstream URL: https://github.com/gruntjs/grunt-contrib-requirejs
Owners: piotrp
Branches: f20 f21 f22 el6 epel7

Comment 3 Gwyn Ciesla 2015-03-01 18:29:34 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-03-01 20:21:47 UTC
nodejs-grunt-contrib-requirejs-0.4.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-requirejs-0.4.4-1.el7

Comment 5 Fedora Update System 2015-03-02 19:47:16 UTC
nodejs-grunt-contrib-requirejs-0.4.4-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-requirejs-0.4.4-1.fc22

Comment 6 Fedora Update System 2015-03-02 19:47:51 UTC
nodejs-grunt-contrib-requirejs-0.4.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-requirejs-0.4.4-1.fc21

Comment 7 Fedora Update System 2015-03-02 19:48:09 UTC
nodejs-grunt-contrib-requirejs-0.4.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-requirejs-0.4.4-1.fc20

Comment 8 Fedora Update System 2015-03-02 23:07:44 UTC
nodejs-grunt-contrib-requirejs-0.4.4-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 9 Fedora Update System 2015-03-09 08:26:20 UTC
nodejs-grunt-contrib-requirejs-0.4.4-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 10 Fedora Update System 2015-03-13 17:26:01 UTC
nodejs-grunt-contrib-requirejs-0.4.4-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2015-03-13 17:26:52 UTC
nodejs-grunt-contrib-requirejs-0.4.4-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2015-03-25 20:01:53 UTC
nodejs-grunt-contrib-requirejs-0.4.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.